import { OnInit } from "@angular/core";
import StiRectangleGeometryLayout from "../../computed/StiRectangleGeometryLayout";
import { StiHttpClientService } from "../../services/http-client.service";
import { StiModelService } from "../../services/model.service";
import { StiDraggableService } from "../../services/sti-draggable.service";
import { StiExportService } from "../../services/sti-export.service";
import { StiHelperService } from "../../services/sti-helper.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiToolboxService } from "../../services/sti-toolbox.service";
import { StiUserService } from "../../services/sti-user-service";
import { StiThemeService } from "../../services/theme.service";
export declare class NavbarComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    draggableService: StiDraggableService;
    exportService: StiExportService;
    render: StiRectangleGeometryLayout;
    theme: StiThemeService;
    loc: StiLocalizationService;
    toolboxService: StiToolboxService;
    httpService: StiHttpClientService;
    userService: StiUserService;
    fonts: any;
    fontSizes: any;
    disabled: boolean;
    selectedComponent: any;
    private _currentRibbon;
    selectedPage: any;
    get currentRibbon(): string;
    set currentRibbon(value: string);
    get componentHeight(): 0 | 38 | 93;
    getClass(ribbon: string): "other" | "current";
    setEvent(event: string): void;
    setRibbon(ribbon: string): void;
    showInfo(event: any, type: any): void;
    constructor(model: StiModelService, helper: StiHelperService, draggableService: StiDraggableService, exportService: StiExportService, render: StiRectangleGeometryLayout, theme: StiThemeService, loc: StiLocalizationService, toolboxService: StiToolboxService, httpService: StiHttpClientService, userService: StiUserService);
    ngOnInit(): void;
}
