import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiHelperService } from "../../services/sti-helper.service";
import { StiDraggableService } from "../../services/sti-draggable.service";
import { StiThemeService } from "../../services/theme.service";
import StiRectangleGeometryLayout from "../../computed/StiRectangleGeometryLayout";
import { StiEditableContentService } from "../../services/sti-editable-content.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiRichTextService } from "../../services/sti-rich-text.service";
import { StiUndoService } from "../../services/sti-undo-service";
import { StiNameService } from "../../services/sti-name.service";
import { FormEventsService } from "../../services/sti-form-events-service";
export declare class StiHomeRibbonComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    draggableService: StiDraggableService;
    theme: StiThemeService;
    render: StiRectangleGeometryLayout;
    formEvents: FormEventsService;
    editableContentService: StiEditableContentService;
    loc: StiLocalizationService;
    richTextService: StiRichTextService;
    undoService: StiUndoService;
    nameService: StiNameService;
    copiedComponent: any;
    constructor(model: StiModelService, helper: StiHelperService, draggableService: StiDraggableService, theme: StiThemeService, render: StiRectangleGeometryLayout, formEvents: FormEventsService, editableContentService: StiEditableContentService, loc: StiLocalizationService, richTextService: StiRichTextService, undoService: StiUndoService, nameService: StiNameService);
    get alignment(): any;
    haveBackgroundColor(): boolean;
    haveContentAlignment(): boolean;
    haveVerticalAlignment(): boolean;
    changeEvent(): void;
    setStyle(value: any): void;
    setAlignment(value: any): void;
    get fontSize(): number;
    set fontSize(value: number);
    get fontFamily(): string;
    set fontFamily(value: string);
    get fontStyle(): string[];
    set fontStyle(value: string[]);
    get color(): string;
    set color(value: string);
    get canDelete(): boolean;
    get isRichText(): boolean;
    ngOnInit(): void;
}
