import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiHelperService } from "../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../services/sti-localization.service";
import Color from "../../../../system/Color";
export declare class StiColorEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    loc: StiLocalizationService;
    property: StiEditorProperty;
    textColor: Color;
    obj?: any;
    topPosition: number;
    colorPickerHeight: number;
    colorPickerWidth: number;
    get isBottom(): boolean;
    moveScroll(): void;
    setTopPosition(event: any): void;
    constructor(model: StiModelService, helper: StiHelperService, loc: StiLocalizationService);
    ngOnInit(): void;
    get color(): Color;
}
