import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiHelperService } from "../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../services/theme.service";
export declare class StiFontEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    property: StiEditorProperty;
    topPosition: number;
    colorPickerHeight: number;
    colorPickerWidth: number;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService);
    ngOnInit(): void;
    get isBottom(): boolean;
    moveScroll(): void;
    setTopPosition(event: any): void;
    isSettings(): boolean;
    get content(): any;
    changeEvent(): void;
}
