import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiButtonElement } from "../../elements/StiButtonElement";
import { StiTableElement } from "../../elements/StiTableElement";
import { HttpClient } from "@angular/common/http";
import { StiAddressElement } from "../../elements/StiAddressElement";
export declare class StiButtonComponent implements OnInit {
    model: StiModelService;
    private httpClient;
    element: StiButtonElement;
    isClone: boolean;
    constructor(model: StiModelService, httpClient: HttpClient);
    disableDrag(event: any): void;
    clickEvent(): void;
    get selected(): boolean;
    createXml(): string;
    createFields(): string;
    addXmlField(elementInfo: any): string;
    getXmlTableField(element: StiTableElement): string;
    getXmlAddressField(element: StiAddressElement): string;
    createAddressField(element: StiAddressElement): string;
    createTableFields(element: StiTableElement): string;
    getTableFieldValue(field: any, fieldIndex: any): {
        name: string;
        value: any;
    };
    getTableCellValue(column: any, columnIndex: number, cell: any, cellIndex: number): {
        name: string;
        value: any;
    };
    getValue(element: any): {
        name: string;
        value: any;
    };
    ngOnInit(): void;
}
