import { Observable } from "rxjs";
import { StiModelService } from "./model.service";
import { StiEditableContentService } from "./sti-editable-content.service";
import { StiUserService } from "./sti-user-service";
export declare class StiMouseService {
    model: StiModelService;
    editableSevice: StiEditableContentService;
    userService: StiUserService;
    private documetMouseDown;
    private documetMouseMove;
    private documetMouseUp;
    private captureMouseUp;
    private captureMouseDown;
    leftButtonDown: boolean;
    rightButtonDown: boolean;
    constructor(model: StiModelService, editableSevice: StiEditableContentService, userService: StiUserService);
    getDocumentMouseUp(): Observable<any>;
    getDocumentMouseMove(): Observable<any>;
    getDocumentMouseDown(): Observable<any>;
    getCaptureMouseUp(): Observable<any>;
    getCaptureMouseDown(): Observable<any>;
}
