import { StiTableElement } from '../elements/StiTableElement';
import { StiValueElement } from '../system/interfaces';
import { StiModelService } from './model.service';
export declare class StiExpressionService {
    model: StiModelService;
    private started;
    private status;
    constructor(model: StiModelService);
    start(): void;
    calculate(): void;
    private getElementName;
    exec(element: StiValueElement, elements: object, table?: StiTableElement, col?: number, row?: number, total?: number): void;
    private resetValue;
    private isNumber;
    private haveExpression;
    private findElement;
}
