import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiHelperService } from "../../services/sti-helper.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiThemeService } from "../../services/theme.service";
export declare class StiFooterComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    currentTheme: any;
    isIncrement: boolean;
    isDecrement: boolean;
    timeout: any;
    interval: any;
    get themes(): string[];
    get cloud(): string;
    get size(): string;
    setSize(value: number): void;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService);
    zoomByWidth(): void;
    setDefaultZoom(): void;
    zoomByOnePage(): void;
    changeTheme(): void;
    clearTimers(): void;
    iterate(): void;
    setIncrementInterval(): void;
    setDecrementInterval(): void;
    ngOnInit(): void;
}
