import { AfterViewInit, DoCheck, ElementRef, OnInit } from "@angular/core";
import { StiFormElement } from "../../elements/base/StiFormElement";
import { StiFormPageElement } from "../../elements/StiFormPageElement";
import { StiModelService } from "../../services/model.service";
import { StiComponentResizerService } from "../../services/sti-component-resizer.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { WorkspaceComponent } from "../workspace.component/sti-workspace.component";
export declare class PageComponent implements OnInit, AfterViewInit, DoCheck {
    private parent;
    model: StiModelService;
    loc: StiLocalizationService;
    componentResizerService: StiComponentResizerService;
    BORDER_WIDTH: number;
    pageEl: ElementRef;
    pageContainerEl: ElementRef;
    page: StiFormPageElement;
    get width(): number;
    get height(): number;
    get id(): string;
    get elements(): StiFormElement[];
    get className(): string;
    get backgroundImage(): string;
    onContainerMouseDown(event: MouseEvent): void;
    onMouseDown(event: MouseEvent): void;
    constructor(parent: WorkspaceComponent, model: StiModelService, loc: StiLocalizationService, componentResizerService: StiComponentResizerService);
    ngDoCheck(): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
}
